<template>
  <section id="how">
    <b-container class="px-md-0">
      <b-row>
        <b-col cols="12">
          <h2 v-html="$t('hos.how.title', $t('hos.data'))"></h2>
        </b-col>
        <b-col md="4">
          <i
            class="
              fas fa-2x fa-brain fa-shape-circle fa-flex-center
              fa-border fc-f7 fd-f6
            "
          ></i>
          <div v-html="$t('hos.how.attention', $t('hos.data'))"></div>
        </b-col>
        <b-col md="4">
          <i
            class="
              fas fa-2x fa-people-carry fa-people-carry-box fa-shape-circle fa-flex-center
              fa-border fc-o6 fd-o5
            "
          ></i>
          <div v-html="$t('hos.how.data', $t('hos.data'))"></div>
        </b-col>
        <b-col md="4">
          <i
            class="
              fac fa-2x fa-copyleft fa-shape-circle fa-flex-center
              fa-border fc-f7 fd-f6
            "
          ></i>
          <div v-html="$t('hos.how.freedom', $t('hos.data'))"></div>
        </b-col>
      </b-row>
      <b-row
        id="more"
        align-h="center"
        class="mt-3"
      >
        <b-col
          class="text-center"
          lg="8"
        >
          <input
            id="btn-more"
            class="sr-only"
            type="checkbox"
          />
          <label
            class="btn btn-sm btn-link p-0"
            for="btn-more"
            v-html="$t('hos.how.btn-more')"
          ></label>
          <div
            class="py-3 px-4 text-left"
            v-html="$t('hos.how.more', $t('hos.data'))"
          ></div>
        </b-col>
      </b-row>
    </b-container>
  </section>
</template>

<style lang="scss">
#how {
  background: var(--f-g2);
  padding: 6rem 0;

  h2 {
    background: var(--f-o6);
    border-radius: 0.5rem;
    color: #fff;
    font-family: Tovari Sans,sans-serif;
    font-size: 2.4rem !important;
    font-style: normal;
    line-height: 2.5rem !important;
    padding: 1.25rem 1.75rem 0.5rem;
    text-align: center;
    text-transform: uppercase;
    transform: rotate(-2deg);
    width: fit-content;

    @media (min-width: 576px) {
      font-size: 3rem !important;
    }

    margin: -8rem auto 5rem 0 !important;
  }

  .fa-people-carry {
    --square: 1em;
  }
}

#more > div {
  div {
    display: none;
    background: var(--f-g1);
    border: 1px solid var(--f-g3);
    border-radius: 4px;
  }

  label {
    text-decoration: none;
  }

  #btn-more:checked ~ div {
    display: block;
  }

  #btn-more:checked ~ label {
    display: none;
  }
}
</style>
